<?php
$queryclose = mysqli_query($mysqli, "SELECT apertura FROM apertura_cierre where id = 1") 
or die('error: '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryclose);
$data  = mysqli_fetch_assoc($queryclose);
$bandera = $data['apertura'];
/*print_r($bandera);
die();*/

if($bandera == 'CERRADO') {
	echo '<script>
                alert("EL ALMACEN SE ENCUENTRA CERRADO POR INVENTARIO DEL SUPERVISOR");
                window.location = "https://inventarios.casatequilaarandas.com/main.php?module=closed";
          </script>';     
    return;
}
?>
<style type="text/css">
  .btn-primary-spacing {
    margin-right: 5px;    
  }
</style>
<?php
  //Query Encabezado
  $querySer = mysqli_query($mysqli, "SELECT replace(column_default,'''','') as serie FROM Information_Schema.Columns WHERE TABLE_NAME = 'remision_encabezado' AND COLUMN_NAME = 'serie'") or die('Error '.mysqli_error($mysqli));
  $rw_serie=mysqli_fetch_array($querySer); 
  $queryfol = mysqli_query($mysqli, "SELECT IFNULL(MAX(folio),0) + 1 as folio FROM remision_encabezado")
      or die('Error '.mysqli_error($mysqli));
  $rw_folio=mysqli_fetch_array($queryfol);
  
  //Query parametros perfil
$queryperfil = mysqli_query($mysqli, "SELECT * FROM perfil")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryperfil);
$data_perfil  = mysqli_fetch_assoc($queryperfil);
$folio_perfil = $data_perfil['folio'];
$folio_rem_perfil = $data_perfil['folio2'];
$nombre_perfil = $data_perfil['nombre_empresa'];
$direccion_perfil = $data_perfil['direccion'];
$direccion_perfil = $data_perfil['direccion'];
$email_perfil = $data_perfil['email'];
$almacen_perfil = $data_perfil['almacen'];
$almacenista_perfil = $data_perfil['almacenista'];
  
  
?>

<section class="content-header">
  <h1>
    <i class="fa fa-sign-in icon-title"></i> Remisiones
    <a class="btn btn-primary btn-social pull-right btn-primary-spacing" class="center" href="modules/trade/remision/print.php" title="Imprimir"
    data-toggle="tooltip" onclick="fnSave()" id="lnkPrint" target="_blank">
      <i class="fa fa-print"></i>Guardar
    </a>    
    <a class="btn btn-primary btn-social pull-right btn-primary-spacing" href="?module=form_remision&form=add" title="Agregar" data-toggle="tooltip">
 <i class="fa fa-plus"></i>Agregar producto
    </a>    
  </h1>
</section>
<section class="content-header">
</section>
</section>
<section class="content-header">
</section>

<section class="content">
  <div class="row">
    <div class="col-md-12">
    <?php
      $alerta = 0;
      if (isset($_GET['alert'])){
        $alerta = $_GET['alert'];
      }

      if (isset($_GET['id'])){
        $id = $_GET['id'];
        $queryDel = mysqli_query($mysqli, "DELETE FROM remision_detalle WHERE id = $id")
                or die('error '.mysqli_error($mysqli));
        if($queryDel)
          $alerta = 3;
      }

      if ($alerta == 1) {
        echo "<div class='alert alert-success alert-dismissable'>
                <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
                <h4>  <i class='icon fa fa-check-circle'></i> Exito!</h4>
                Datos de productos han sido registrado correctamente.
              </div>";
      }
      elseif ($alerta == 2) {
        echo "<div class='alert alert-danger alert-dismissable'>
                <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
                <h4>  <i class='icon fa fa-warning'></i> Error!</h4>
                Favor de seleccionar registros.
              </div>";
      }     
      elseif ($alerta == 3) {
        echo "<div class='alert alert-success alert-dismissable'>
                <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
                <h4>  <i class='icon fa fa-check-circle'></i> Exito!</h4>
                Registros cancelados correctamente.
              </div>";
      }    
    ?>
      <div class="box box-primary">
        <div class="box-body">
          <form>
             <div class="form-group col-md-3">             
              <label for="fecha">Fecha</label>                
              <input type="text" class="form-control date-picker" data-date-format="dd-mm-yyyy" name="fecha" id="fecha" autocomplete="off" value="<?php echo date("Y-m-d"); ?>" readonly required>              
            </div>
            <div class="form-group col-md-3">             
              <label for="fecha">Usuario que genera remision</label>                
              <input type="text" id="nombre"  class="form-control" autocomplete="off" value="<?php echo $_SESSION['name_user']; ?>" readonly required>              
            </div>
			      <div class="form-group col-md-3">
              <label for="fecha">Folio de remision</label>                
              <input type="text"  class="form-control"  value="<?php echo $folio_rem_perfil; ?>-<?php echo $rw_folio['folio']; ?>" readonly required>              
            </div>
            <br><br>			 
            <div class="form-group row"></div>
            <div class="form-group col-md-9">
              <label for="observacion_enc">Observacion General:</label>                
              <textarea id="observacion_enc" name="observacion_enc" class="form-control" required></textarea>  
            </div>	
            <div class="form-group row"></div>
	

                      <div class="form-group">  
                <label class="col-sm-2 control-label">Enviar remision por correo a:</label>
                <div class="col-sm-5">
                  <select class="chosen-select" id="txtCorreo" name="txtCorreo" data-placeholder="---Seleccione Correo---" onchange="tampil_obat(this)" autocomplete="off" required>
                    <option value=""></option>
                    <?php
                      $query_correos = mysqli_query($mysqli, "SELECT nombre,tipo FROM correos ORDER BY tipo ASC")
                                                            or die('error '.mysqli_error($mysqli));
                      while ($data_correos = mysqli_fetch_assoc($query_correos)) {
                        echo"<option value=\"$data_correos[tipo]\"> $data_correos[nombre] | $data_correos[tipo] </option>";
                      }
                    ?>
                  </select>
                </div>
              </div>
              
                 <div class="form-group row"></div>
              
			  <div class="form-group">  
                <label class="col-sm-2 control-label">Motivo de salida</label>
                <div class="col-sm-5">
                  <select class="chosen-select" id="txtMotivo" name="txtMotivo" data-placeholder="-- Seleccionar motivo --" onchange="tampil_obat(this)" autocomplete="off" required>
                    <option value=""></option>
                    <?php
                      $query_motivo = mysqli_query($mysqli, "SELECT nombre,tipo FROM motivo where tipo = 'SALIDA' ORDER BY nombre ASC")
                                                            or die('error '.mysqli_error($mysqli));
                      while ($data_motivo = mysqli_fetch_assoc($query_motivo)) {
                         echo"<option value=\"$data_motivo[nombre]\"> $data_motivo[tipo] | $data_motivo[nombre] </option>";
                      }
                    ?>
                  </select>
                </div>
              </div>
              
              
          </form>
          <div class="clearfix"></div>
          <hr>
        </div>
        <div class="box-body">
        <div class="table-responsive"> 		
          <table id="dataTables1" class="table table-bordered table-striped table-hover">
            <thead>
              <tr>
                 <th class="center"></th>
                <th class="center">No.</th>
                <th class="center">Fecha</th>
                <th class="center">Codigo de producto</th>
                <th class="center">Productos</th>
				<th class="center">Tipo</th>
                <th class="center">Cant.</th>
                <th class="center">Unidad</th>			
                <th class="center">Observaciones</th>
              </tr>
            </thead>
         
            <tbody>
            <?php  
            $no = 1;
           
            $query = mysqli_query($mysqli, "
              SELECT a.id, a.tipo_transaccion, a.fecha, a.codigo, a.cantidad, b.codigo, b.nombre, b.unidad, a.observaciones
              FROM remision_detalle as a 
							   INNER JOIN medicamentos as b ON a.codigo = b.codigo 
              WHERE a.tipo_transaccion='Remision' and a.idenc is NULL and a.status = 'A'
              ORDER BY id")
                or die('error '.mysqli_error($mysqli));

           
            while ($data = mysqli_fetch_assoc($query)) { 
              $transacc = '';  //  Adrian
              $fecha    = $data['fecha'];
              $exp      = explode('-',$fecha);
              $fecha2   = $exp[2]."-".$exp[1]."-".$exp[0];

             
              echo "<tr>
                      <td width='30' class='center'>
                      <a href='?module=remision&id=$data[id]' class='btn-circle'><i class='glyphicon glyphicon-remove' onclick='return confirmacion();'></i></a>                      
                      </td>
                      <td width='30' class='center'>$no</td>
                      <td width='80' class='center'>$fecha</td>
                      <td width='80' class='center'>$data[codigo]</td>
                      <td width='200'>$data[nombre]</td>
					            <td width='80' class='center'>$data[tipo_transaccion]</td>
                      <td width='100' align='right'>$data[cantidad]</td>
                      <td width='80' class='center'>$data[unidad]</td>					  
                      <td width='80' class='center'>$data[observaciones]</td>
                    </tr>";
              $no++;
            }
            ?>
            </tbody>
          </table>
		   </div>
        </div><!-- /.box-body -->
      </div><!-- /.box -->
    </div><!--/.col -->
  </div>   <!-- /.row -->
</section><!-- /.content -->

<script type="text/javascript">
   function fnSave() {    
    //Guardar e Imprimir
    var fecha = $('#fecha').val();
    var nombre = $('#nombre').val();
	var observacion_enc = $('#observacion_enc').val();
	var txtCorreo = $('#txtCorreo').val();
	var txtMotivo = $('#txtMotivo').val();

    //set URL 
    $('#lnkPrint').attr("href", "modules/trade/remision/print.php");        
    
    var url = $('#lnkPrint').attr("href") + '?fecha=' + fecha + '&nombre=' + nombre + '&observacion_enc=' + observacion_enc + '&txtCorreo=' + txtCorreo + '&txtMotivo=' + txtMotivo;


    //send to print PDF
    $('#lnkPrint').attr("href", url);
    setTimeout(retardo, 2000);     
  }

  function retardo() {    
    window.location = "main.php?module=remision";
    document.location.reload();
  }

  function confirmacion() {
      if(confirm('Estas seguro de eliminar esta partida?') == true) {
        return true;
      } else {
        return false;
      }      
  }
</script>
